Bug 196714 - off by one error in 7zip code?
off by one error in 7zip code?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: p7zip (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-26 13:22 EDT by Armijn Hemel
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-29 13:36:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Armijn Hemel 2006-06-26 13:22:03 EDT
Description of problem:

There might be a off by one error in the 7zip code (I think...not sure).
In the file p7zip_4.39/7zip/Archive/7z/7zHeader.cpp it says:

Byte kSignature[kSignatureSize] = {'7' + 1, 'z', 0xBC, 0xAF, 0x27, 0x1C};

but doesn't this make the header of a 7zip package start with "8" instead of "7"?

Version-Release number of selected component (if applicable):
4.39.1.fc5

How reproducible:
n/a

Steps to Reproduce:
1. n/a
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthias Saou 2006-06-26 13:46:18 EDT
This kind of bug report would be much better sent upstream, as the developers
know the code much better than we do, and could probably confirm in no time. I'd
really appreciate if you made the report and got back to this bug entry with a
patch if needed...
Comment 2 Matthias Saou 2006-06-29 13:36:07 EDT
Maybe a fix would be to rename the package 8zip, then? :-)
I've updated the FC devel package to 4.42. I'll close this bug for now, please
report the (potential) problem upstream so that it gets fixed there. The I'll
update the package and get the fix in that way, thanks.
Comment 3 Armijn Hemel 2006-06-29 17:54:06 EDT
Well, it does generate correct headers, so I think it is just some unclear
coding, but it eventually gets fixed. I will dig into this someday. You can
leave it closed for now :)

Note You need to log in before you can comment on or make changes to this bug.